package com.kakao.usermgmt.response.model;

import com.bytedance.covode.number.Covode;
import com.kakao.network.response.ResponseBody;
import org.json.JSONObject;

public class Profile {
    public String nickname;
    public String profileImageUrl;
    public JSONObject response;
    public String thumbnailImageUrl;

    static {
        Covode.recordClassIndex(45966);
    }

    public String getNickname() {
        return this.nickname;
    }

    public String getProfileImageUrl() {
        return this.profileImageUrl;
    }

    public String getThumbnailImageUrl() {
        return this.thumbnailImageUrl;
    }

    public String toString() {
        return this.response.toString();
    }

    public Profile(ResponseBody responseBody) {
        this.nickname = responseBody.optString("nickname", (String) null);
        this.thumbnailImageUrl = responseBody.optString("thumbnail_image_url", (String) null);
        this.profileImageUrl = responseBody.optString("profile_image_url", (String) null);
        this.response = responseBody.getJson();
    }
}
